PHP Manual
Prev |  | Next

# aspell_suggest

(PHP 3 >= 3.0.7, PHP 4 <= 4.2.3)

aspell_suggest -- Suggest spellings of a word [deprecated]

## Description

array aspell_suggest ( int dictionary_link, string word )

aspell_suggest() suggest spellings for the given `word`.

## Parameters

`dictionary_link`

  The dictionnary link identifier returned by aspell_new().

`word`

  The tested word.

## Return Values

Returns an array of suggestions.

## Examples

Example 1. aspell_suggest() Example

`<?php $aspell_link = aspell_new("english"); if (!aspell_check($aspell_link, "test")) { $suggestions = aspell_suggest($aspell_link, "test"); foreach ($suggestions as $suggestion) { echo "Possible spelling: $suggestion<br />\n"; } } ?>`

Prev | Home | Next
aspell_new | Up | BCMath Arbitrary Precision Mathematics Functions